/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */
package enterprise.lottery_annotation_ejb_stateless;

import java.util.Calendar;
import javax.ejb.Stateless;

@Stateless
public class DateBean implements Date {


    public String today() {
        System.out.println("DateBean.today called");
        StringBuffer date = new StringBuffer();
        Calendar calendar = Calendar.getInstance();

        date.append(calendar.get(Calendar.MONTH)+1);
	date.append("/");
        date.append(calendar.get(Calendar.DAY_OF_MONTH));
	date.append("/");
        date.append(calendar.get(Calendar.YEAR));

        return date.toString();
    }

}
